package com.cku.model;

import java.util.Date;

public class CkuLoginUser {
    private Integer userid;

    private String username;

    private String ckuId;

    private String loginkey;

    private String userpassword;

    private String useremail;

    private String mailcheck;

    private Integer userpost;

    private Integer usertopic;

    private String usersign;

    private Byte usersex;

    private String userface;

    private Integer userwidth;

    private Integer userheight;

    private Date joindate;

    private Date lastlogin;

    private Integer userlogins;

    private Integer userviews;

    private Byte lockuser;

    private String userclass;

    private String usergroup;

    private Integer usermoney;

    private Integer userticket;

    private Integer userwealth;

    private Integer userep;

    private Integer usercp;

    private Integer userpower;

    private Integer userdel;

    private Integer userisbest;

    private String usertitle;

    private String userbirthday;

    private String userquesion;

    private String useranswer;

    private String userlastip;

    private String userphoto;

    private String userfav;

    private String usersetting;

    private Integer usergroupid;

    private String titlepic;

    private Byte userhidden;

    private String usermsg;

    private Byte ischallenge;

    private String usermobile;

    private String truepassword;

    private String usertoday;

    private Byte userisava;

    private Date vipStartime;

    private Date vipEndtime;

    private String passport;

    private String favBoards;

    private String weixinId;
    
    private CkuUser ckuUser;

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username == null ? null : username.trim();
    }

    public String getCkuId() {
        return ckuId;
    }

    public void setCkuId(String ckuId) {
        this.ckuId = ckuId == null ? null : ckuId.trim();
    }

    public String getLoginkey() {
        return loginkey;
    }

    public void setLoginkey(String loginkey) {
        this.loginkey = loginkey == null ? null : loginkey.trim();
    }

    public String getUserpassword() {
        return userpassword;
    }

    public void setUserpassword(String userpassword) {
        this.userpassword = userpassword == null ? null : userpassword.trim();
    }

    public String getUseremail() {
        return useremail;
    }

    public void setUseremail(String useremail) {
        this.useremail = useremail == null ? null : useremail.trim();
    }

    public String getMailcheck() {
        return mailcheck;
    }

    public void setMailcheck(String mailcheck) {
        this.mailcheck = mailcheck == null ? null : mailcheck.trim();
    }

    public Integer getUserpost() {
        return userpost;
    }

    public void setUserpost(Integer userpost) {
        this.userpost = userpost;
    }

    public Integer getUsertopic() {
        return usertopic;
    }

    public void setUsertopic(Integer usertopic) {
        this.usertopic = usertopic;
    }

    public String getUsersign() {
        return usersign;
    }

    public void setUsersign(String usersign) {
        this.usersign = usersign == null ? null : usersign.trim();
    }

    public Byte getUsersex() {
        return usersex;
    }

    public void setUsersex(Byte usersex) {
        this.usersex = usersex;
    }

    public String getUserface() {
        return userface;
    }

    public void setUserface(String userface) {
        this.userface = userface == null ? null : userface.trim();
    }

    public Integer getUserwidth() {
        return userwidth;
    }

    public void setUserwidth(Integer userwidth) {
        this.userwidth = userwidth;
    }

    public Integer getUserheight() {
        return userheight;
    }

    public void setUserheight(Integer userheight) {
        this.userheight = userheight;
    }

    public Date getJoindate() {
        return joindate;
    }

    public void setJoindate(Date joindate) {
        this.joindate = joindate;
    }

    public Date getLastlogin() {
        return lastlogin;
    }

    public void setLastlogin(Date lastlogin) {
        this.lastlogin = lastlogin;
    }

    public Integer getUserlogins() {
        return userlogins;
    }

    public void setUserlogins(Integer userlogins) {
        this.userlogins = userlogins;
    }

    public Integer getUserviews() {
        return userviews;
    }

    public void setUserviews(Integer userviews) {
        this.userviews = userviews;
    }

    public Byte getLockuser() {
        return lockuser;
    }

    public void setLockuser(Byte lockuser) {
        this.lockuser = lockuser;
    }

    public String getUserclass() {
        return userclass;
    }

    public void setUserclass(String userclass) {
        this.userclass = userclass == null ? null : userclass.trim();
    }

    public String getUsergroup() {
        return usergroup;
    }

    public void setUsergroup(String usergroup) {
        this.usergroup = usergroup == null ? null : usergroup.trim();
    }

    public Integer getUsermoney() {
        return usermoney;
    }

    public void setUsermoney(Integer usermoney) {
        this.usermoney = usermoney;
    }

    public Integer getUserticket() {
        return userticket;
    }

    public void setUserticket(Integer userticket) {
        this.userticket = userticket;
    }

    public Integer getUserwealth() {
        return userwealth;
    }

    public void setUserwealth(Integer userwealth) {
        this.userwealth = userwealth;
    }

    public Integer getUserep() {
        return userep;
    }

    public void setUserep(Integer userep) {
        this.userep = userep;
    }

    public Integer getUsercp() {
        return usercp;
    }

    public void setUsercp(Integer usercp) {
        this.usercp = usercp;
    }

    public Integer getUserpower() {
        return userpower;
    }

    public void setUserpower(Integer userpower) {
        this.userpower = userpower;
    }

    public Integer getUserdel() {
        return userdel;
    }

    public void setUserdel(Integer userdel) {
        this.userdel = userdel;
    }

    public Integer getUserisbest() {
        return userisbest;
    }

    public void setUserisbest(Integer userisbest) {
        this.userisbest = userisbest;
    }

    public String getUsertitle() {
        return usertitle;
    }

    public void setUsertitle(String usertitle) {
        this.usertitle = usertitle == null ? null : usertitle.trim();
    }

    public String getUserbirthday() {
        return userbirthday;
    }

    public void setUserbirthday(String userbirthday) {
        this.userbirthday = userbirthday == null ? null : userbirthday.trim();
    }

    public String getUserquesion() {
        return userquesion;
    }

    public void setUserquesion(String userquesion) {
        this.userquesion = userquesion == null ? null : userquesion.trim();
    }

    public String getUseranswer() {
        return useranswer;
    }

    public void setUseranswer(String useranswer) {
        this.useranswer = useranswer == null ? null : useranswer.trim();
    }

    public String getUserlastip() {
        return userlastip;
    }

    public void setUserlastip(String userlastip) {
        this.userlastip = userlastip == null ? null : userlastip.trim();
    }

    public String getUserphoto() {
        return userphoto;
    }

    public void setUserphoto(String userphoto) {
        this.userphoto = userphoto == null ? null : userphoto.trim();
    }

    public String getUserfav() {
        return userfav;
    }

    public void setUserfav(String userfav) {
        this.userfav = userfav == null ? null : userfav.trim();
    }

    public String getUsersetting() {
        return usersetting;
    }

    public void setUsersetting(String usersetting) {
        this.usersetting = usersetting == null ? null : usersetting.trim();
    }

    public Integer getUsergroupid() {
        return usergroupid;
    }

    public void setUsergroupid(Integer usergroupid) {
        this.usergroupid = usergroupid;
    }

    public String getTitlepic() {
        return titlepic;
    }

    public void setTitlepic(String titlepic) {
        this.titlepic = titlepic == null ? null : titlepic.trim();
    }

    public Byte getUserhidden() {
        return userhidden;
    }

    public void setUserhidden(Byte userhidden) {
        this.userhidden = userhidden;
    }

    public String getUsermsg() {
        return usermsg;
    }

    public void setUsermsg(String usermsg) {
        this.usermsg = usermsg == null ? null : usermsg.trim();
    }

    public Byte getIschallenge() {
        return ischallenge;
    }

    public void setIschallenge(Byte ischallenge) {
        this.ischallenge = ischallenge;
    }

    public String getUsermobile() {
        return usermobile;
    }

    public void setUsermobile(String usermobile) {
        this.usermobile = usermobile == null ? null : usermobile.trim();
    }

    public String getTruepassword() {
        return truepassword;
    }

    public void setTruepassword(String truepassword) {
        this.truepassword = truepassword == null ? null : truepassword.trim();
    }

    public String getUsertoday() {
        return usertoday;
    }

    public void setUsertoday(String usertoday) {
        this.usertoday = usertoday == null ? null : usertoday.trim();
    }

    public Byte getUserisava() {
        return userisava;
    }

    public void setUserisava(Byte userisava) {
        this.userisava = userisava;
    }

    public Date getVipStartime() {
        return vipStartime;
    }

    public void setVipStartime(Date vipStartime) {
        this.vipStartime = vipStartime;
    }

    public Date getVipEndtime() {
        return vipEndtime;
    }

    public void setVipEndtime(Date vipEndtime) {
        this.vipEndtime = vipEndtime;
    }

    public String getPassport() {
        return passport;
    }

    public void setPassport(String passport) {
        this.passport = passport == null ? null : passport.trim();
    }

    public String getFavBoards() {
        return favBoards;
    }

    public void setFavBoards(String favBoards) {
        this.favBoards = favBoards == null ? null : favBoards.trim();
    }

    public String getWeixinId() {
        return weixinId;
    }

    public void setWeixinId(String weixinId) {
        this.weixinId = weixinId == null ? null : weixinId.trim();
    }

	public CkuUser getCkuUser() {
		return ckuUser;
	}

	public void setCkuUser(CkuUser ckuUser) {
		this.ckuUser = ckuUser;
	}
}